% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/activity_ctdp.r
\name{activity_ctdp}
\alias{activity_ctdp}
\title{title}
\usage{
activity_ctdp(
  x,
  doTimelapse = FALSE,
  doUnclassified = TRUE,
  doHuman = TRUE,
  class = NULL,
  species = NULL,
  doPlot = TRUE,
  byTaxon = TRUE,
  n_min = 25,
  start = NULL,
  end = NULL,
  orders = "\%Y/\%m/\%d",
  subset = NULL,
  by = NULL
)
}
\arguments{
\item{x}{an object of class \code{ctdp}}

\item{doTimelapse}{whether or not to include time-lapse sequences in the analyses, defaults to \code{FALSE}}

\item{doUnclassified}{whether or not to include unclassified sequences in the analyses, defaults to \code{TRUE}}

\item{doHuman}{whether or not to include humans in the analyses, defaults to \code{TRUE}}

\item{class}{optional \code{character} string with the class of species (e.g. "Mammalia") to focus analyses on, defaults to \code{NULL}}

\item{species}{an optional \code{character} vector with name of the species (e.g. "Ocelot") to focus on, defaults to \code{NULL}}

\item{doPlot}{\code{logical} whether or not to plot the results, defaults to \code{TRUE}}

\item{byTaxon}{\code{logical} whether or not to fit an activity pattern per taxon, defaults to \code{TRUE}}

\item{n_min}{\code{integer,numeric} minimum number of records for activity pattern to be fitted, defaults to 25}

\item{start}{\code{character} datetime: sequences are kept when the start of the sequences is > start, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{end}{\code{character} datetime: sequences are kept when the start of the sequences is < end, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{orders}{\code{character} string with the orders passed on to \code{\link{parse_date_time}}, defaults to "Ymd"}

\item{subset}{arguments used for filtering}

\item{by}{an optional \code{character} vector specifying the column names by which to group analyses, defaults to \code{NULL}}
}
\value{
invisibly returns a nested tibble with the fitted activity patterns per group
}
\description{
title
}
\examples{
\dontrun{
activity_ctdp(camsample)
activity_ctdp(camsample, class = "Mammalia")
activity_ctdp(camsample, species = c("CollaredPeccary","OCELOT"))
activity_ctdp(camsample, species = c("CollaredPeccary","OCELOT"), by = "locationName")
activity_ctdp(camsample, by = "locationName", subset = str_sub(locationName, 5, 5) == "3")

test <- activity_ctdp(camsample, by = "locationName", subset = str_sub(locationName, 5, 5) == "3")
test
}
}
\author{
Henjo de Knegt
}
