% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calc_effort.r
\name{calc_effort}
\alias{calc_effort}
\title{Calculate effort}
\usage{
calc_effort(
  x,
  start = NULL,
  end = NULL,
  orders = "\%Y/\%m/\%d",
  subset = NULL,
  by = NULL
)
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{start}{\code{character} datetime: sequences are kept when the start of the sequences is > start, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{end}{\code{character} datetime: sequences are kept when the start of the sequences is < end, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{orders}{\code{character} string with the orders passed on to \code{\link{parse_date_time}}, defaults to "Ymd"}

\item{subset}{optional expression for subsetting passed on to \code{\link{filter_station}}}

\item{by}{an optional \code{character} vector specifying the column names by which to group analyses, defaults to \code{NULL}}

\item{groupBy}{an optional \code{character} vector with the column name(s) of the grouping variables (from the locations and deployments tables)}
}
\value{
a \code{tibble} with columns specified in \code{by} and column "effort", which holds the total camera-days effort.
}
\description{
Calculate effort
}
\examples{
\dontrun{
calc_effort(camsample)
calc_effort(camsample, by = "locationName")
calc_effort(camsample, start = "2017/4/1", end = "2017/8/1")
calc_effort(camsample, by = "locationName", subset = str_sub(locationName, 5, 5) == "3")
}
}
\seealso{
\code{\link{ctdp}}, \code{\link{filter_station}}
}
\author{
Henjo de Knegt
}
