% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_annotations.r
\name{check_annotations}
\alias{check_annotations}
\title{Check integrity of observation types}
\usage{
check_annotations(x)
}
\arguments{
\item{x}{a \code{ctdp} object}
}
\value{
a named \code{list} with elements:
\itemize{
  \item \code{noNAs}: whether or not \code{observationType} column contains NAs
  \item \code{isFactor}: whether or not \code{observationType} columns is a factor
  \item \code{correctLevels}: whether or not the levels are one of: "animal","human","vehicle","blank","unknown","unclassified"
}
logical values indicating whether each table in \code{x} contains distinct (value TRUE) values or duplicates (value FALSE).
}
\description{
Check integrity of observation types
}
\examples{
\dontrun{
check_annotations(camsample)
}
}
\author{
Henjo de Knegt
}
