% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_joins.r
\name{check_joins}
\alias{check_joins}
\title{Check data integrity of joins}
\usage{
check_joins(x)
}
\arguments{
\item{x}{a \code{ctdp} object}
}
\value{
a \code{list} with 4 elements:
\itemize{
  \item \code{allunique}: a \code{logical} indicating whether or not all primary key columns contain unique values
  \item \code{alljoins}: a \code{logical} indicating whether or not the tibbles have matching keys
  \item \code{unique}: a \code{tibble} with extra info on whether which element in \code{x} contains unique primary keys
  \item \code{anti_joins}: a named \code{list} with information on anti-joins (a character vector of length 0 if there are not anti-joins)
}
}
\description{
Check data integrity of joins
}
\examples{
\dontrun{
check_joins(camsample)
}
}
\author{
Henjo de Knegt
}
