% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/filter_timerange.r
\name{filter_timerange}
\alias{filter_timerange}
\title{Filter a ctdp object based on a specified time range}
\usage{
filter_timerange(x, start = NULL, end = NULL, orders = "\%Y/\%m/\%d")
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{start}{\code{character} datetime: sequences are kept when the start of the sequences is > start, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{end}{\code{character} datetime: sequences are kept when the start of the sequences is < end, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{orders}{\code{character} string with the orders passed on to \code{\link{parse_date_time}}, defaults to "Ymd"}
}
\value{
x an object of class \code{\link{ctdp}}
}
\description{
Filter a ctdp object based on a specified time range
}
\details{
This function first filters sequences, where sequences are kept whose START falls inside the specified interval, and then filters the other elements to the sequences that are kept. Then, the sequence and deployment intervals are truncated to [start, end]
}
\examples{
\dontrun{
  filter_timerange(x, start = "2021/6/21", end = "2022/6/21")
}
}
\seealso{
\code{\link{ctdp}}
}
\author{
Henjo de Knegt
}
