% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/integrate_effort.r
\name{integrate_effort}
\alias{integrate_effort}
\title{Integrate effort over a specified time span}
\usage{
integrate_effort(
  x,
  start = NULL,
  end = NULL,
  orders = "\%Y/\%m/\%d",
  subset = NULL
)
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{start}{\code{character} datetime: sequences are kept when the start of the sequences is > start, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{end}{\code{character} datetime: sequences are kept when the start of the sequences is < end, passed on to \code{\link{parse_date_time}}. Defaults to \code{NULL}}

\item{orders}{\code{character} string with the orders passed on to \code{\link{parse_date_time}}, defaults to "Ymd"}

\item{subset}{arguments used for filtering}
}
\value{
a \code{tibble} with effort data
}
\description{
Integrate effort over a specified time span
}
\examples{
\code{
integrate_effort(camsample)
integrate_effort(camsample, start = "2017/4/1", end = "2017/8/1")
integrate_effort(camsample, subset = str_sub(locationName, 5, 5) == "3")
integrate_effort(camsample,
  start = "2017/4/1", end = "2017/8/1", 
  subset = str_sub(locationName, 5, 5) == "3")
}
}
\seealso{
\code{\link{ctdp}}, \code{\link{filter_station}}
}
\author{
Henjo de Knegt
}
