% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/merge_tibbles.r
\name{merge_tibbles}
\alias{merge_tibbles}
\title{Join the ctdp tibbles into 1 tibble with 1 row per observation}
\usage{
merge_tibbles(x, dropMedia = TRUE, onlyDistinct = TRUE, toInterval = TRUE)
}
\arguments{
\item{x}{an object of class \code{ctdp}}

\item{dropMedia}{\code{logical}, indicating whether or not to remove the \code{media} information. Defaults to \code{TRUE}}

\item{onlyDistinct}{\code{logical}, indicating whether or not to remove the duplicate rows. Defaults to \code{TRUE}}

\item{toInterval}{\code{logical}, indicating whether or not to return interval columns (for deployments and sequences start/end). Defaults to \code{TRUE}}
}
\value{
a single object of class \code{tibble} with all data merged
}
\description{
Join the ctdp tibbles into 1 tibble with 1 row per observation
}
\examples{
\dontrun{
merge_tibbles(camsample)
}
}
\seealso{
\code{\link{nest_tibbles}}
}
\author{
Henjo de Knegt
}
