% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nest_tibbles.r
\name{nest_tibbles}
\alias{nest_tibbles}
\title{Join the ctdp tibbles into 1 tibble with 1 row per sequence}
\usage{
nest_tibbles(
  x,
  dropMedia = FALSE,
  onlyDistinct = TRUE,
  mainCols = c("captureMethod", "nrphotos")
)
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{dropMedia}{\code{logical}, indicating whether or not to remove the \code{media} information. Defaults to \code{FALSE}}

\item{onlyDistinct}{\code{logical}, indicating whether or not to remove the duplicate rows. Defaults to \code{TRUE}}

\item{mainCols}{\code{character} vector with the names of those columns that should be kept outside a list-column (not from media). Defaults to \code{c("captureMethod","nrphotos")}.}
}
\value{
object of class \code{seqnest}, which is a \code{tibble} with columns \code{sequenceID}, all columns in \code{mainCols}, and \code{list-clumns} "locations", "deployments", "observations" and "media". All these \code{list-columns} contain data in \code{data.table} format.
}
\description{
Join the ctdp tibbles into 1 tibble with 1 row per sequence
}
\examples{
\dontrun{
nest_tibbles(camsample)
}
}
\seealso{
\code{\link{merge_tibbles}}
}
\author{
Henjo de Knegt
}
