% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_effort.r
\name{plot_effort}
\alias{plot_effort}
\title{Plot a step function with the number of active cameras over time}
\usage{
plot_effort(
  x,
  dynamic = TRUE,
  main = "Effort",
  xlab = "time",
  ylab = "nr of active cams",
  ...
)
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{dynamic}{\code{logical} whether or not to plot a dynamic graph (via \code{\link{dygraph}}, defaults to \code{TRUE}}

\item{main}{\code{character} plot title, defaults to "Effort"}

\item{xlab}{\code{character} x axis label, defaults to "time"}

\item{ylab}{\code{character} y axis label, defaults to "nr of active cams"}

\item{...}{other arguments passed on to the plot function}
}
\value{
a plot (whenb \code{doPlot=TRUE}), and (silently when plotting) it returns a tibble with effort data
}
\description{
Plot a step function with the number of active cameras over time
}
\examples{
\dontrun{
plot_effort(camsample)
}
}
\seealso{
\code{\link{ctdp}}
}
\author{
Henjo de Knegt
}
