% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/point_effort.r
\name{point_effort}
\alias{point_effort}
\title{Find the number of active cameras at a given set of times}
\usage{
point_effort(x, t, orders = "\%Y/\%m/\%d \%H:\%M:\%S")
}
\arguments{
\item{x}{an object of class \code{\link{ctdp}}}

\item{t}{\code{POXIXct} or \code{character} timepoints for which to retrieve effort}

\item{orders}{\code{character} string with the orders passed on to \code{\link{parse_date_time}}}
}
\value{
a plot, and silently it returns a tibble with effort data
}
\description{
Find the number of active cameras at a given set of times
}
\examples{
\dontrun{
point_effort(camsample, "2017/6/21 12:00:00")
}
}
\seealso{
\code{\link{plot_effort}}
}
\author{
Henjo de Knegt
}
