% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/set_periods.r
\name{set_periods}
\alias{set_periods}
\title{Specify time periods}
\usage{
set_periods(start, end, name = NULL, years = NULL, orders = "md HM", tz = NULL)
}
\arguments{
\item{xxx}{still to write}
}
\value{
xxx still to write
}
\description{
Specify time periods
}
\examples{
\dontrun{
# Either using start/end timestamps (in format POSIXct)
start <- seq(from = ISOdatetime(2022,11,1,0,0,0,tz="Etc/GMT-2"), 
             to = ISOdatetime(2022,12,7,0,0,0,tz="Etc/GMT-2"),
             by = "2 weeks")
set_periods(start = start, 
            end = start + period(2, units = "weeks"),
            name = paste0("p", seq_along(start)))
            
# OR: using vector of years, and start/ends are character vectors (recurrent within each year)       
set_periods(start = c("4-21 08:00", "6-21 08:00"),
            end = c("5-19 18:00", "7-19 18:00"), 
            orders = "md HM",
            years = 2017:2020,
            tz = "Etc/GMT+5")
}
}
\author{
Henjo de Knegt
}
