% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/taxon_level.r
\name{taxon_level}
\alias{taxon_level}
\title{Get taxonomic class of a species by its identifier}
\usage{
taxon_level(taxonID, level = "class")
}
\arguments{
\item{taxonID}{a \code{character} string with taxonID}

\item{level}{a \code{character} string with the desired level, with choices "species","genus","family","suborder","order","infraclass","subclass","class","superclass","megaclass","gigaclass","parvphylum","infraphylum","subphylum","phylum","kingdom","unranked"}
}
\value{
a \code{character} string with class of the taxon
}
\description{
Get taxonomic class of a species by its identifier
}
\examples{
\dontrun{
  taxon_level("QLXL", level = "species")
  taxon_level("QLXL", level = "genus")
  taxon_level("QLXL", level = "family")
  taxon_level("QLXL", level = "suborder")
  taxon_level("QLXL", level = "order")
  taxon_level("QLXL", level = "infraclass")
  taxon_level("QLXL", level = "subclass")
  taxon_level("QLXL", level = "class")
  taxon_level("QLXL", level = "superclass")
  taxon_level("QLXL", level = "megaclass")
  taxon_level("QLXL", level = "gigaclass")
  taxon_level("QLXL", level = "parvphylum")
  taxon_level("QLXL", level = "infraphylum")
  taxon_level("QLXL", level = "subphylum")
  taxon_level("QLXL", level = "phylum")
  taxon_level("QLXL", level = "kingdom")
  taxon_level("QLXL", level = "unranked")
}
}
\seealso{
API of \url{https://www.catalogueoflife.org/} called
}
\author{
Henjo de Knegt
}
